更新 windowsPhoneEASEmailProfileConfiguration

命名空间:microsoft.graph

重要提示: Microsoft Graph /beta 版本下的 API 可能会更改;不支持生产使用。

注意: 适用于 Intune 的 Microsoft Graph API 需要适用于租户的 活动 Intune 许可证

更新 windowsPhoneEASEmailProfileConfiguration 对象 的属性。

先决条件

要调用此 API,需要以下权限之一。要了解详细信息,包括如何选择权限的信息,请参阅权限

权限类型 权限(从最低特权到最高特权)
委派(工作或学校帐户) DeviceManagementConfiguration.ReadWrite.All
委派(个人 Microsoft 帐户) 不支持。
应用程序 DeviceManagementConfiguration.ReadWrite.All

HTTP 请求

PATCH /deviceManagement/deviceConfigurations/{deviceConfigurationId}
PATCH /deviceManagement/deviceConfigurations/{deviceConfigurationId}/groupAssignments/{deviceConfigurationGroupAssignmentId}/deviceConfiguration
PATCH /deviceManagement/deviceConfigurations/{deviceConfigurationId}/microsoft.graph.windowsDomainJoinConfiguration/networkAccessConfigurations/{deviceConfigurationId}

请求标头

标头
Authorization Bearer <token>。必需。
接受 application/json

请求正文

在请求正文中,提供 windowsPhoneEASEmailProfileConfiguration 对象的 JSON 表示形式。

下表显示创建 windowsPhoneEASEmailProfileConfiguration 时所需的属性

属性 类型 说明
id String 实体的键。 继承自 deviceConfiguration
lastModifiedDateTime DateTimeOffset 上次修改对象的日期/时间。 继承自 deviceConfiguration
roleScopeTagIds String collection 此实体实例的范围标记列表。 继承自 deviceConfiguration
supportsScopeTags Boolean 指示基础设备配置是否支持分配范围标记。 当此值为 false 且实体对范围用户不可见时,不允许分配给 ScopeTags 属性。 这适用于在 Silverlight 中创建的旧版策略,可通过在 Azure 门户中删除和重新创建策略来解决。 此属性是只读的。 继承自 deviceConfiguration
deviceManagementApplicabilityRuleOsEdition deviceManagementApplicabilityRuleOsEdition 此策略的操作系统版本适用性。 继承自 deviceConfiguration
deviceManagementApplicabilityRuleOsVersion deviceManagementApplicabilityRuleOsVersion 此策略的操作系统版本适用性规则。 继承自 deviceConfiguration
deviceManagementApplicabilityRuleDeviceMode deviceManagementApplicabilityRuleDeviceMode 此策略的设备模式适用性规则。 继承自 deviceConfiguration
createdDateTime DateTimeOffset 创建对象的日期/时间。 继承自 deviceConfiguration
说明 String 管理员提供的设备配置的说明。 继承自 deviceConfiguration
displayName String 管理员提供的设备配置的名称。 继承自 deviceConfiguration
version Int32 设备配置的版本。 继承自 deviceConfiguration
usernameSource userEmailSource 从 AAD 中选取并注入此配置文件的 Username 属性,在设备上安装之前。 继承自 easEmailProfileConfigurationBase。 可取值为:userPrincipalNameprimarySmtpAddress
usernameAADSource usernameSource AAD 字段的名称,该字段将用于检索电子邮件配置文件的 UserName。 继承自 easEmailProfileConfigurationBase。 可取值为:userPrincipalNameprimarySmtpAddresssamAccountName
userDomainNameSource domainNameSource UserDomainname 属性,在设备上安装之前从 AAD 中选取并注入到此配置文件中。 继承自 easEmailProfileConfigurationBase。 可取值为:fullDomainNamenetBiosDomainName
customDomainName String 在设备上安装之前生成电子邮件配置文件时所使用的自定义域名值。 继承自 easEmailProfileConfigurationBase
accountName String 帐户名称。
applyOnlyToWindowsPhone81 Boolean 指示此策略是否仅适用于 Windows 8.1 的值。 此属性是只读的。
syncCalendar Boolean 是否同步日历。
syncContacts Boolean 是否同步联系人。
syncTasks Boolean 是否同步任务。
durationOfEmailToSync emailSyncDuration 要同步的电子邮件的持续时间。可能的值是 userDefined oneDay threeDays :、、、、、、。 oneWeek twoWeeks oneMonth unlimited
emailAddressSource userEmailSource 从 AAD 中选取并注入到此配置文件中的电子邮件属性,在设备上安装之前。 可取值为:userPrincipalNameprimarySmtpAddress
emailSyncSchedule emailSyncSchedule 电子邮件同步计划。 可取值为:userDefinedasMessagesArrivemanualfifteenMinutesthirtyMinutessixtyMinutesbasedOnMyUsage
hostName String Exchange本地 (连接到) URL 的位置。
requireSsl Boolean 指示是否使用 SSL。

响应

如果成功,此方法在响应正文中返回 响应代码和更新的 200 OK windowsPhoneEASEmailProfileConfiguration 对象。

示例

请求

下面是一个请求示例。

PATCH https://graph.microsoft.com/beta/deviceManagement/deviceConfigurations/{deviceConfigurationId}
Content-type: application/json
Content-length: 1567

{
  "@odata.type": "#microsoft.graph.windowsPhoneEASEmailProfileConfiguration",
  "roleScopeTagIds": [
    "Role Scope Tag Ids value"
  ],
  "supportsScopeTags": true,
  "deviceManagementApplicabilityRuleOsEdition": {
    "@odata.type": "microsoft.graph.deviceManagementApplicabilityRuleOsEdition",
    "osEditionTypes": [
      "windows10EnterpriseN"
    ],
    "name": "Name value",
    "ruleType": "exclude"
  },
  "deviceManagementApplicabilityRuleOsVersion": {
    "@odata.type": "microsoft.graph.deviceManagementApplicabilityRuleOsVersion",
    "minOSVersion": "Min OSVersion value",
    "maxOSVersion": "Max OSVersion value",
    "name": "Name value",
    "ruleType": "exclude"
  },
  "deviceManagementApplicabilityRuleDeviceMode": {
    "@odata.type": "microsoft.graph.deviceManagementApplicabilityRuleDeviceMode",
    "deviceMode": "sModeConfiguration",
    "name": "Name value",
    "ruleType": "exclude"
  },
  "description": "Description value",
  "displayName": "Display Name value",
  "version": 7,
  "usernameSource": "primarySmtpAddress",
  "usernameAADSource": "primarySmtpAddress",
  "userDomainNameSource": "netBiosDomainName",
  "customDomainName": "Custom Domain Name value",
  "accountName": "Account Name value",
  "applyOnlyToWindowsPhone81": true,
  "syncCalendar": true,
  "syncContacts": true,
  "syncTasks": true,
  "durationOfEmailToSync": "oneDay",
  "emailAddressSource": "primarySmtpAddress",
  "emailSyncSchedule": "asMessagesArrive",
  "hostName": "Host Name value",
  "requireSsl": true
}

响应

下面是一个响应示例。注意:为了简单起见,可能会将此处所示的响应对象截断。将从实际调用中返回所有属性。

HTTP/1.1 200 OK
Content-Type: application/json
Content-Length: 1739

{
  "@odata.type": "#microsoft.graph.windowsPhoneEASEmailProfileConfiguration",
  "id": "554f402a-402a-554f-2a40-4f552a404f55",
  "lastModifiedDateTime": "2017-01-01T00:00:35.1329464-08:00",
  "roleScopeTagIds": [
    "Role Scope Tag Ids value"
  ],
  "supportsScopeTags": true,
  "deviceManagementApplicabilityRuleOsEdition": {
    "@odata.type": "microsoft.graph.deviceManagementApplicabilityRuleOsEdition",
    "osEditionTypes": [
      "windows10EnterpriseN"
    ],
    "name": "Name value",
    "ruleType": "exclude"
  },
  "deviceManagementApplicabilityRuleOsVersion": {
    "@odata.type": "microsoft.graph.deviceManagementApplicabilityRuleOsVersion",
    "minOSVersion": "Min OSVersion value",
    "maxOSVersion": "Max OSVersion value",
    "name": "Name value",
    "ruleType": "exclude"
  },
  "deviceManagementApplicabilityRuleDeviceMode": {
    "@odata.type": "microsoft.graph.deviceManagementApplicabilityRuleDeviceMode",
    "deviceMode": "sModeConfiguration",
    "name": "Name value",
    "ruleType": "exclude"
  },
  "createdDateTime": "2017-01-01T00:02:43.5775965-08:00",
  "description": "Description value",
  "displayName": "Display Name value",
  "version": 7,
  "usernameSource": "primarySmtpAddress",
  "usernameAADSource": "primarySmtpAddress",
  "userDomainNameSource": "netBiosDomainName",
  "customDomainName": "Custom Domain Name value",
  "accountName": "Account Name value",
  "applyOnlyToWindowsPhone81": true,
  "syncCalendar": true,
  "syncContacts": true,
  "syncTasks": true,
  "durationOfEmailToSync": "oneDay",
  "emailAddressSource": "primarySmtpAddress",
  "emailSyncSchedule": "asMessagesArrive",
  "hostName": "Host Name value",
  "requireSsl": true
}